package com.muyu.service;

import com.muyu.domain.CarFence;
import com.muyu.domain.FenceGroup;
import com.muyu.domain.req.CarFenceAdd;

import java.util.List;

/**
 * 围栏服务接口
 *  * @Author：yan
 *  * @Package：com.muyu.car.service
 *  * @Project：plues
 *  * @name：CarFenceServiceMybaits
 *  * @Date：2024/9/22 19:24
 */
public interface CarFenceServiceMybaits {
    void add(Integer fenceGroupId, List<Integer> carFenceId);

    /**
     * 添加多对多围栏组
     * @param fenceGroupId
     * @param carFences
     */
    void addFenceGroup(Integer fenceGroupId, List<CarFenceAdd> carFences);

    /**
     * 修改围栏状态
      * @param groupId
     * @return
     */
    Object updateFenceGroupById(Integer groupId);

    /**
     * 启动围栏
     */
    Object activate(Integer groupId);
    /**
     * 根据围栏组的id查询绑定的围栏的中间表
     */
    List<CarFence> BoundFenceGroup(Integer groupId);

    /**
     * 根据围栏组和车辆的id添加中间表
     */
    void addFenceGroupAddCarMiddle(Integer id, List<FenceGroup> fenceGroups);

    /**
     * 获取绑定的围栏组
     * @param carId
     */
    List<FenceGroup> selectBoundGFenceGroup(Integer carId);

}
